Subject: ryzom/code/nelns/automacros/mysql.m4 does not parse versions correctly
Description

1) ryzom/code/nelns/automacros/mysql.m4 does not parse versions correctly:
MYSQL_VERSION='5.1.46'
mysql_version_major=`expr $MYSQL_VERSION : '\([[0-9]]*\)'`
mysql_version_minor=`expr $MYSQL_VERSION : '[[0-9]]*\.\([[0-9]]*\)'`
mysql_version_micro=`expr $MYSQL_VERSION : '[[0-9]]*\.[[0-9]]*\.\([[0-9]]*\)'`
set | grep mysql
    mysql_version_major=5
    mysql_version_micro=4
    mysql_version_minor=1

This parsing issue has actually resulted in the requested version having an unset variable which then results in "no" for all checks.

History
#1 - 05/11/2010 04:40 pm - vl

Do you have a patch for this?

#2 - 05/18/2010 10:25 am - vl
- Target version set to Version 0.8.0

#3 - 09/06/2010 05:44 pm - kerozcak
- File mysql.m4.diff added

I'm not regexp master, but changing [[0-9]] to [0-9] helped:
export MYSQL_VERSION='5.1.46'
mysql_version_major=`expr $MYSQL_VERSION : '\([0-9]*\)'`
mysql_version_minor=`expr $MYSQL_VERSION : '[0-9]*\.\([0-9]*\)'`
mysql_version_micro=`expr $MYSQL_VERSION : '[0-9]*\.[0-9]*\.\([0-9]*\)'`
set | grep mysql

mysql_version_major=5
mysql_version_micro=46
mysql_version_minor=1

Patch attached.

#4 - 01/08/2011 06:44 pm - kervala
- Target version deleted (Version 0.8.0)
Files
mysql.m4.diff 1.5 kB 09/06/2010 kerozcak
